=== debian/changelog ===
tinymembench (0.4+git20231218+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Wed, 05 Jun 2024 05:00:04 +0000

tinymembench (0.4+git20231218+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1058912)

 -- Gürkan Myczko <tar@debian.org>  Mon, 18 Dec 2023 09:54:27 +0100
