=== debian/control ===
Source: tinymembench
Section: utils
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/ssvb/tinymembench
Vcs-Browser: https://salsa.debian.org/debian/tinymembench
Vcs-Git: https://salsa.debian.org/debian/tinymembench.git

Package: tinymembench
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Simple memory benchmark tool
 This is a simple memory benchmark program, which tries to measure the peak
 bandwidth of sequential memory accesses and the latency of random memory
 accesses. Bandwidth is measured by running different assembly code for
 the aligned memory blocks and attempting different prefetch strategies.
